/*
 * Copyright (C) 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "clockdbusadaptor.h"
#include <QDBusArgument>


ClockDbusAdaptor::ClockDbusAdaptor(QObject *parent, Clock *currentClock) : QDBusAbstractAdaptor(parent),
    m_clock(currentClock)
{
}

ClockDbusAdaptor::~ClockDbusAdaptor()
{
}








QString ClockDbusAdaptor::addAlarmRpc(QString param)
{
    return m_clock->addAlarmJosn(param);
}

QString ClockDbusAdaptor::addSimpleAlarmRpc(int hour, int minute)
{
    clockInterface::RequestParams param;
    param.clockName = tr(CLOCK_TITLE_NAME);
    param.hour = hour;
    param.minute = minute;
    return m_clock->addAlarm(param);
}
